''' 
	WCS: Python Race for Teaching Purposes.
	Created by: ||7DS||Wolf|| A.K.A |HMS|.Blade.
	Mattie/EventScripts Account: Bladesback
	Steam Account: Wild_Dog_9
'''
'''
	Go to the links below to download the newest versions of EventScripts , Es_Tools, WCS:P, Notepade ++
	EventScripts = http://mattie.net/downloads/mattie_eventscripts_200beta247a.zip
	Es_Tools = http://forums.mattie.info/cs/forums/download.php?id=889
	WCS:P = http://addons.eventscripts.com/addons/download/wcs
	Notepad ++ = http://downloads.sourceforge.net/notepad-plus/npp.5.0.2.Installer.exe?modtime=1216860160&big_mirror=0
'''
#This is an example race so the public becomes more understanding of how we can arrange the codes.
#The purpose of this race is to give the public an idea of what a full race looks like. I am not including any notes about the race. If you have read and understood my previous tutorials then you will understand the majority of things inside this race.

import wcs, es, random, playerlib, gamethread
from wcs import wcs

Name = 'WCS Python Race for Teaching Purposes'

wcs.Race(Name).registerSkill('Endurance',5,1,'Increases your health, speed and lowers your gravity.')
wcs.Race(Name).registerSkill('Heroine',5,1,'A shot with the usp drugs and shakes your enemy.')
wcs.Race(Name).registerSkill('Blinding Looks',5,1,'Press +Ability to blind nearby enemies.')
wcs.Race(Name).registerSkill('Medic Kit',5,1,'Hold +Ability2 to regain health.')
wcs.Race(Name).registerUltimate('Flight',20,5,1,'Hold +Ultimate to fly around.')

def player_spawn(ev):
	userid = int(ev['userid'])
	if wcs.GetRace(userid) == 'WCS Python Race for Teaching Purposes':
		end = wcs.GetLevel(userid, Name, 'Endurance')
		if end:
			wcs.Command(userid).HealthAdd(end*20)
			wcs.Command(userid).SpeedAdd(end*.04)
			wcs.Command(userid).ChangeGravity(1-(end*.1))
			es.tell(userid,'#multi','#greenEndurance #default- #lightgreenActivated.')
def prep_hurt(ev):
	userid = int(ev['userid'])
	attacker = int(ev['userid'])
	her = wcs.GetLevel(attacker, Name, 'Heroine')
	if her:
		if ev['weapon'] == "usp":
			wcs.Command(userid).Drug(her)
			wcs.Command(userid).Shake(her,her*2)
			es.tell(attacker,'#multi','#greenHeroine #default- #lightgreenActivated.')
			es.tell(userid,'#multi','#lightgreen\'#green%s#lightgreen\' has druged and shaken you with his/her \'#greenHeroine#lightgreen\' skill.'%es.getplayername(attacker))

def player_ability_on(ev):
	userid = int(ev['userid'])
	team = int(es.getplayerteam(userid))
	if team == 2:
		filter = '#ct'
	elif team == 3:
		filter = '#t'
	bl = wcs.GetLevel(userid, Name, 'Blinding Looks')
	if bl:
		if not wcs.Command(userid).GetCoolDown('Blinding Looks'):
			es.tell(userid,'#multi','#greenBlinding Looks #default- #lightgreenYou have blinded all nearby enemies with your stunning good looks.')
			wcs.Command(userid).Near(bl*80,blind,filter)
			wcs.Command(userid).SetCoolDown('Blinding Looks',15-bl)
		else:
			es.tell(userid,'#multi','#greenBlinding Looks #default- #lightgreenYou cannot use this skill for another #green%s #lightgreenseconds.'%wcs.Command(userid).GetCoolDown('Blinding Looks'))
#Ahh Finally a more advanced Def. This will be explained in my next tutorial.
def blind(userid, attacker):
	es.server.queuecmd('est_Fade %s %s %s %s %s %s %s %s'%(userid,0,1,1,255,255,255,255))
	es.tell(userid,'#multi','#greenBlinding Looks #default- #lightgreenYou have become blind from #green%s\'s #lightgreen good looks.'%es.getplayername(attacker))
		
def player_ability_on2(ev):
	userid = int(ev['userid'])
	mk = wcs.GetLevel(userid, Name, 'Medic Kit')
	if mk:
		es.tell(userid,'#multi','#greenMedic Kit #default- #lightgreenYou have #greenhealed #lightgreenyourself using your #green\'Medic Kit\'#lightgreen.')
		gamethread.delayedname(2, mk, mk_loop, userid)
#This is called a 'loop' and will be added in my next tutorial.
def mk_loop(userid):
	if playerlib.getPlayer(userid).get('health') < 200 and not playerlib.getPlayer(userid).get('isdead'):
		mk = wcs.GetLevel(userid, Name, 'Medic Kit')
		playerlib.getPlayer(userid).set('health', playerlib.getPlayer(userid).get('health') + 2 * mk)
		gamethread.delayedname(2, mk, mk_loop, userid)
	else:
		if playerlib.getPlayer(userid).get('health') > 200 and not playerlib.getPlayer(userid).get('isdead'):
			playerlib.getPlayer(userid).set('health', 200)
			es.tell(userid,'#multi','#greenMedic Kit #default- #lightgreenYou are fully #greenhealed#lightgreen.')
			gamethread.cancelDelayed(mk)
def player_ability_off2(ev):
	userid = int(ev['userid'])
	mk = wcs.GetLevel(userid, Name, 'Medic Kit')
	if mk:
		es.tell(userid,'#multi','#greenMedic Kit #default- #greenHealing #lightgreenstopped.')
		gamethread.cancelDelayed(mk)

def player_ultimate_on(ev):
	userid = int(ev['userid'])
	fly = wcs.GetLevel(userid, name, 'Flight')
	if fly:
		playerlib.getPlayer(userid).set('jetpack', 1)
		es.tell(userid, '#multi', '#greenAFlight #default- #lightgreenActivated.')
def player_ultimate_off(ev):
	userid = int(ev['userid'])
	fly = wcs.GetLevel(userid, name, 'Flight')
	if fly:
		playerlib.getPlayer(userid).set('jetpack', 0)
		es.tell(userid, '#multi', '#greenFlight #default- #lightgreenDeactivated.')		
'''
	If you would like to see my races and keep up-to-date with all my new scripts and races please see the link below!
	http://addons.eventscripts.com/addons/user/9463  
'''